CreateHeartbeatAPI mirrors the erdo_create_heartbeat MCP tool.
curl --request POST \
--url https://api.erdo.ai/v1/heartbeats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active_days": [
123
],
"active_window_end": "<string>",
"active_window_start": "<string>",
"dataset_ids": [
"<string>"
],
"description": "<string>",
"effort": "<string>",
"instructions": "<string>",
"interval_minutes": 123,
"name": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/heartbeats"
payload = {
"active_days": [123],
"active_window_end": "<string>",
"active_window_start": "<string>",
"dataset_ids": ["<string>"],
"description": "<string>",
"effort": "<string>",
"instructions": "<string>",
"interval_minutes": 123,
"name": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active_days: [123],
active_window_end: '<string>',
active_window_start: '<string>',
dataset_ids: ['<string>'],
description: '<string>',
effort: '<string>',
instructions: '<string>',
interval_minutes: 123,
name: '<string>',
timezone: '<string>'
})
};
fetch('https://api.erdo.ai/v1/heartbeats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_days": [
123
],
"active_window_end": "<string>",
"active_window_start": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interval_minutes": 123,
"latest_status": "<string>",
"name": "<string>",
"next_run_at": "<string>",
"state": "<string>",
"timezone": "<string>"
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
CreateHeartbeatAPI mirrors the erdo_create_heartbeat MCP tool.
POST
/
v1
/
heartbeats
CreateHeartbeatAPI mirrors the erdo_create_heartbeat MCP tool.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
ListHeartbeatsAPI mirrors the erdo_list_heartbeats MCP tool.
ListHeartbeatExecutionsAPI mirrors the erdo_list_heartbeat_executions MCP tool.
⌘I

